# Swaps

These endpoints allow you to manage swaps.

## Get Providers

 - [GET /api/v1/swaps/providers/{chain_type}](https://docs.fordefi.com/api/latest/openapi/swaps/get_providers_api_v1_swaps_providers__chain_type__get.md): Get providers for a chain type.

## Get Quotes

 - [POST /api/v1/swaps/quotes](https://docs.fordefi.com/api/latest/openapi/swaps/get_quotes_api_v1_swaps_quotes_post.md): Get available quotes for a swap between two assets.

## Create Transaction

 - [POST /api/v1/swaps](https://docs.fordefi.com/api/latest/openapi/swaps/create_transaction_api_v1_swaps_post.md): Create a new spot swap.

## Predict Transaction

 - [POST /api/v1/swaps/predict](https://docs.fordefi.com/api/latest/openapi/swaps/predict_transaction_api_v1_swaps_predict_post.md): Simulate the spot swap and changes in token
balances, in addition to the fee estimation.

